%if 0%{?fedora}
%global with_python3 1
%endif

Name:           dnsyo
Version:        1.0.2
Release:        1%{?dist}
Summary:        Check DNS against many global DNS servers

Group:          Applications/Internet
License:        MIT
URL:            http://samarudge.github.io/dnsyo/
Source0:        https://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  python2-devel
Requires:       python-dns
Requires:       PyYAML

%if 0%{?with_python3}
BuildRequires:  python3-devel
Requires:       python3-dns
Requires:       python3-PyYAML
%endif

%description
Query over 1500 global DNS servers and colate their results.
Track the propagation of your domains around the world.


%if 0%{?with_python3}
%package -n python3-dnsyo
Summary:        Check DNS against many global DNS servers
Group:          Applications/Internet

%description -n python3-dnsyo
Query over 1500 global DNS servers and colate their results.
Track the propagation of your domains around the world.
%endif

%prep
%setup -q
sed -i 's/requests==2.0.0/requests>=1.1.0/' setup.py

%build
%{__python} setup.py build


%if 0%{?with_python3}
cp -r . %{py3dir}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{name}/
%{python_sitelib}/dnsyo-1.0.2*
%{python3_sitelib}/%{name}/
%{python3_sitelib}/dnsyo-1.0.2*
%{_bindir}/%{name}

%changelog
* Sat Oct 19 2013 Ricky Elrod <codeblock@fedoraproject.org> - 1.0.2-1
- Initial build.
